#!/bin/bash
path_conf="/mnt/data/sftpgo/"
path_cert="/mnt/data/certbot/letsencrypt/live/{{ sftpgo_domain }}/"
chain="fullchain.pem"
key="privkey.pem"
if [[ $(sha256sum "$path_conf$chain" | awk '{ print $1 }') == $(sha256sum "$path_cert$chain" | awk '{ print $1 }') ]]; then
          echo "The files have the same content."
  else
          echo "The files have different content."
          echo "Copy new file into dir $path_conf"
          sudo cp $path_cert$chain $path_conf$chain
          sudo cp $path_cert$key $path_conf$key
          echo "Setting rights for file"
          sudo chown -R 1000:1000 $path_conf
          echo "Restarting service sftpgo"
          sudo docker restart sftpgo
          echo "Restarting service nginx"
          sudo docker restart nginx
fi
